package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * UpdateApOfdmaConfigOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class UpdateApOfdmaConfigOpenApiVo   {
  @JsonProperty("ofdmaEnable2g")
  private Boolean ofdmaEnable2g;

  @JsonProperty("ofdmaEnable5g")
  private Boolean ofdmaEnable5g;

  @JsonProperty("ofdmaEnable5g2")
  private Boolean ofdmaEnable5g2;

  @JsonProperty("ofdmaEnable6g")
  private Boolean ofdmaEnable6g;

  public UpdateApOfdmaConfigOpenApiVo ofdmaEnable2g(Boolean ofdmaEnable2g) {
    this.ofdmaEnable2g = ofdmaEnable2g;
    return this;
  }

  /**
   * Advanced feature OFDMA 2G config status. True: enable, false: disable.
   * @return ofdmaEnable2g
  */
  @ApiModelProperty(value = "Advanced feature OFDMA 2G config status. True: enable, false: disable.")


  public Boolean getOfdmaEnable2g() {
    return ofdmaEnable2g;
  }

  public void setOfdmaEnable2g(Boolean ofdmaEnable2g) {
    this.ofdmaEnable2g = ofdmaEnable2g;
  }

  public UpdateApOfdmaConfigOpenApiVo ofdmaEnable5g(Boolean ofdmaEnable5g) {
    this.ofdmaEnable5g = ofdmaEnable5g;
    return this;
  }

  /**
   * Advanced feature OFDMA 5G1 config status. True: enable, false: disable.
   * @return ofdmaEnable5g
  */
  @ApiModelProperty(value = "Advanced feature OFDMA 5G1 config status. True: enable, false: disable.")


  public Boolean getOfdmaEnable5g() {
    return ofdmaEnable5g;
  }

  public void setOfdmaEnable5g(Boolean ofdmaEnable5g) {
    this.ofdmaEnable5g = ofdmaEnable5g;
  }

  public UpdateApOfdmaConfigOpenApiVo ofdmaEnable5g2(Boolean ofdmaEnable5g2) {
    this.ofdmaEnable5g2 = ofdmaEnable5g2;
    return this;
  }

  /**
   * Advanced feature OFDMA 5G2 config status. True: enable, false: disable.
   * @return ofdmaEnable5g2
  */
  @ApiModelProperty(value = "Advanced feature OFDMA 5G2 config status. True: enable, false: disable.")


  public Boolean getOfdmaEnable5g2() {
    return ofdmaEnable5g2;
  }

  public void setOfdmaEnable5g2(Boolean ofdmaEnable5g2) {
    this.ofdmaEnable5g2 = ofdmaEnable5g2;
  }

  public UpdateApOfdmaConfigOpenApiVo ofdmaEnable6g(Boolean ofdmaEnable6g) {
    this.ofdmaEnable6g = ofdmaEnable6g;
    return this;
  }

  /**
   * Advanced feature OFDMA 6G config status. True: enable, false: disable.
   * @return ofdmaEnable6g
  */
  @ApiModelProperty(value = "Advanced feature OFDMA 6G config status. True: enable, false: disable.")


  public Boolean getOfdmaEnable6g() {
    return ofdmaEnable6g;
  }

  public void setOfdmaEnable6g(Boolean ofdmaEnable6g) {
    this.ofdmaEnable6g = ofdmaEnable6g;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpdateApOfdmaConfigOpenApiVo updateApOfdmaConfigOpenApiVo = (UpdateApOfdmaConfigOpenApiVo) o;
    return Objects.equals(this.ofdmaEnable2g, updateApOfdmaConfigOpenApiVo.ofdmaEnable2g) &&
        Objects.equals(this.ofdmaEnable5g, updateApOfdmaConfigOpenApiVo.ofdmaEnable5g) &&
        Objects.equals(this.ofdmaEnable5g2, updateApOfdmaConfigOpenApiVo.ofdmaEnable5g2) &&
        Objects.equals(this.ofdmaEnable6g, updateApOfdmaConfigOpenApiVo.ofdmaEnable6g);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ofdmaEnable2g, ofdmaEnable5g, ofdmaEnable5g2, ofdmaEnable6g);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpdateApOfdmaConfigOpenApiVo {\n");
    
    sb.append("    ofdmaEnable2g: ").append(toIndentedString(ofdmaEnable2g)).append("\n");
    sb.append("    ofdmaEnable5g: ").append(toIndentedString(ofdmaEnable5g)).append("\n");
    sb.append("    ofdmaEnable5g2: ").append(toIndentedString(ofdmaEnable5g2)).append("\n");
    sb.append("    ofdmaEnable6g: ").append(toIndentedString(ofdmaEnable6g)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

